export default {
    steps: {
        page0: {
          elements: [
            'h4',
            'dna_damage_cellular_repair',
          ],
        },
        page1: {
          label: '',
          elements: [
            'h4_1',
            'hg_hair_loss',
          ],
        },
        page2: {
          label: '',
          elements: [
            'h4_2',
            'hg_treatment_hair_loss',
          ],
        },
        page3: {
          label: '',
          elements: [
            'h4_3',
            'hg_tried_treatment_yes',
            'textarea',
            'caloric_intake',
          ],
        },
        page4: {
          label: '',
          elements: [
            'h4_4',
            'hg_family_history_hair_loss',
          ],
        },
        page5: {
          label: '',
          elements: [
            'h4_6',
            'hg_current_medications',
          ],
        },
        page6: {
          label: '',
          elements: [
            'h4_7',
            'hg_current_medication',
          ],
        },
        page7: {
          label: '',
          elements: [
            'h4_8',
            'hg_chronic_conditions',
          ],
        },
        page8: {
          label: '',
          elements: [
            'h4_9',
            'hg_hormonal_imblance',
          ],
        },
        page9: {
          label: '',
          elements: [
            'h4_10',
            'hg_scalp_issues',
            'smoke_alcohol',
          ],
        },
        page10: {
          label: '',
          elements: [
            'h4_11',
            'hg_undergoing_treatments',
          ],
        },
        page11: {
          label: '',
          elements: [
            'h4_12',
            'hg_tobbaco_products',
          ],
        },
        page12: {
          label: '',
          elements: [
            'h4_13',
            'hg_consume_alchol',
          ],
        },
        page13: {
          label: '',
          elements: [
            'h4_14',
            'hg_diet_describe',
          ],
        },
        page14: {
          label: '',
          elements: [
            'h4_15',
            'hg_exersice_rutine',
          ],
        },
        page15: {
          label: '',
          elements: [
            'h4_16',
            'hg_stress_levels',
          ],
        },
        page16: {
          label: '',
          elements: [
            'h4_17',
            'hg_peptide_side_effects',
          ],
        },
        page17: {
          label: '',
          elements: [
            'h3',
            'hg_evaluation_response',
          ],
        },
        page18: {
          label: '',
          elements: [
            'h3_1',
            'hg_hair_growth_treatment',
          ],
        },
        page19: {
          label: '',
          elements: [
            'h4_5',
            'hg_using_peptide_therapy',
          ],
        },
      },
      schema: {
        h4: {
          type: 'static',
          tag: 'h4',
          content: 'What are your primary concerns regarding hair loss?',
        },
        dna_damage_cellular_repair: {
          type: 'checkboxgroup',
          items: [
            {
              value: 'thinning_hair',
              label: 'Thinning hair',
            },
            {
              value: 'receding_hairline',
              label: 'Receding hairline',
            },
            {
              value: 'bald_spots',
              label: 'Bald spots',
            },
            {
              value: 'general_hair_health',
              label: 'General hair health',
            },
          ],
          rules: [
            'required',
          ],
          fieldName: ' ',
        },
        h4_1: {
          type: 'static',
          tag: 'h4',
          content: 'How long have you been experiencing hair loss?',
        },
        hg_hair_loss: {
          type: 'radiogroup',
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
          items: [
            {
              value: 'less_than_6_mnths',
              label: 'Less than 6 months',
            },
            {
              value: '6_months_to_one_year',
              label: '6 Months to one year',
            },
            {
              value: 'more_than_one_year',
              label: 'More than one year',
            },
          ],
        },
        h4_2: {
          type: 'static',
          tag: 'h4',
          content: 'Have you tried any treatments for hair loss before?',
        },
        hg_treatment_hair_loss: {
          type: 'radiogroup',
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
        },
        h4_3: {
          type: 'static',
          tag: 'h4',
          content: 'If yes, what treatments have you tried?',
        },
        hg_tried_treatment_yes: {
          type: 'radiogroup',
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
          items: [
            {
              value: 'minoxidil',
              label: 'Minoxidil',
            },
            {
              value: 'finasteride',
              label: 'Finasteride',
            },
            {
              value: 'prp_therapy',
              label: 'PRP therapy',
            },
            {
              value: 'natural_remedies',
              label: 'Natural remedies',
            },
            {
              value: 'Other',
              label: 'Other (please specify)',
            },
          ],
        },
        textarea: {
          type: 'textarea',
          label: 'Textarea',
          conditions: [
            [
              'hg_tried_treatment_yes',
              'in',
              [
                'Other',
              ],
            ],
          ],
          rules: [
            'validateTextArea',
          ],
          fieldName: ' ',
        },
        h4_4: {
          type: 'static',
          tag: 'h4',
          content: 'Do you have any family history of hair loss or baldness?',
        },
        hg_family_history_hair_loss: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h4_6: {
          type: 'static',
          tag: 'h4',
          content: 'Are you currently taking any medications or supplements?',
        },
        hg_current_medications: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h4_7: {
          type: 'static',
          tag: 'h4',
          content: 'Do you have any known allergies to medications or Hgh?\n',
        },
        hg_current_medication: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h4_8: {
          type: 'static',
          tag: 'h4',
          content: 'Do you have any chronic health conditions?',
        },
        hg_chronic_conditions: {
          type: 'radiogroup',
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
          items: [
            {
              value: 'yes',
              label: 'yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
        },
        h4_9: {
          type: 'static',
          tag: 'h4',
          content: 'Have you been diagnosed with any hormonal imbalances (e.g., thyroid issues, PCOS)?',
        },
        hg_hormonal_imblance: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h4_10: {
          type: 'static',
          tag: 'h4',
          content: 'Do you experience any scalp issues (e.g., dandruff, psoriasis, eczema)?',
        },
        hg_scalp_issues: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        smoke_alcohol: {
          type: 'radiogroup',
        },
        h4_11: {
          type: 'static',
          tag: 'h4',
          content: 'Have you undergone any recent medical treatments or surgeries?\n',
        },
        hg_undergoing_treatments: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h4_12: {
          type: 'static',
          tag: 'h4',
          content: 'Do you smoke or use tobacco products?',
        },
        hg_tobbaco_products: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h4_13: {
          type: 'static',
          tag: 'h4',
          content: 'Do you consume alcohol?',
        },
        hg_consume_alchol: {
          type: 'radiogroup',
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
          items: [
            {
              value: 'never',
              label: 'Never',
            },
            {
              value: 'occasinally',
              label: 'Occasionally',
            },
            {
              value: 'regulalry',
              label: 'Regularly',
            },
          ],
        },
        h4_14: {
          type: 'static',
          tag: 'h4',
          content: 'How would you describe your diet?',
        },
        hg_diet_describe: {
          type: 'radiogroup',
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
          items: [
            {
              value: 'balance_and_healthy',
              label: 'Balance and healthy',
            },
            {
              value: 'average',
              label: 'Average',
            },
            {
              value: 'poor',
              label: 'Poor',
            },
          ],
        },
        h4_15: {
          type: 'static',
          tag: 'h4',
          content: 'Do you have a regular exercise routine?',
        },
        hg_exersice_rutine: {
          type: 'radiogroup',
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
        },
        h4_16: {
          type: 'static',
          tag: 'h4',
          content: 'How would you rate your stress levels?',
        },
        hg_stress_levels: {
          type: 'radiogroup',
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
          items: [
            {
              value: 'low',
              label: 'Low',
            },
            {
              value: 'moderate',
              label: 'Moderate',
            },
            {
              value: 'high',
              label: 'High',
            },
          ],
        },
        h4_17: {
          type: 'static',
          tag: 'h4',
          content: 'Do you have any concerns about potential side effects of hgh treatments for hair growth?',
        },
        hg_peptide_side_effects: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h3: {
          type: 'static',
          tag: 'h3',
          content: 'Would you be willing to undergo periodic medical evaluations to monitor your response to treatment?',
        },
        hg_evaluation_response: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h3_1: {
          type: 'static',
          tag: 'h3',
          content: 'Are you open to combining hgh therapy with other hair growth treatments or lifestyle changes?',
        },
        hg_hair_growth_treatment: {
          type: 'radiogroup',
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
        },
        h4_5: {
          type: 'static',
          tag: 'h4',
          content: 'What are your goals for using hgh therapy for hair growth?',
        },
        hg_using_peptide_therapy: {
          type: 'radiogroup',
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
          items: [
            {
              value: 'increase_hair_density',
              label: 'Increase hair density',
            },
            {
              value: 'regrow_hair_in_bald_spots',
              label: 'Regrow hair in bald spots',
            },
            {
              value: 'strengthen_existing_hair',
              label: 'Strengthen existing hair',
            },
            {
              value: 'overall_hair_health_improvement',
              label: 'Overall hair health improvement',
            },
          ],
        },
      },
}
