export default {
    steps: {
        page0: {
          elements: [
            'h4_3',
            'p',
            'muscle_growth_weight',
            'muscle_growth_height',
          ],
          buttons: {
            previous: false,
          },
        },
        page1: {
          elements: [
            'h4_4',
            'p_1',
            'muscle_growth_primary_goals',
            'muscle_growth_primary_goals_other',
          ],
        },
        page2: {
          elements: [
            'h4_5',
            'p_2',
            'muscle_growth_resistance_training',
          ],
        },
        page3: {
          elements: [
            'h4',
            'p_3',
            'muscle_growth_training_exercise_regular_platform',
          ],
        },
        page4: {
          elements: [
            'h2',
            'p_4',
            'muscle_growth_training_sessions',
          ],
        },
        page5: {
          elements: [
            'h4_1',
            'p_5',
            'muscle_growth_muscle_soreness_fatigue',
          ],
        },
        page6: {
          elements: [
            'h4_2',
            'p_6',
            'muscle_growth_current_diet',
            'muscle_growth_current_diet_others',
          ],
        },
        page7: {
          elements: [
            'h4_6',
            'p_7',
            'muscle_growth_protine_consume_daily',
            'muscle_growth_protine_consume_daily_grams_per_day',
          ],
        },
        page8: {
          elements: [
            'h4_7',
            'p_8',
            'muscle_growth_specific_diet_paln_restrictions',
            'muscle_growth_specific_diet_paln_restrictions_description',
          ],
        },
        page9: {
          elements: [
            'h4_8',
            'p_9',
            'muscle_growth_taking_diect_muscle_growth',
            'muscle_growth_taking_diect_muscle_growth_description',
          ],
        },
        page10: {
          elements: [
            'h4_9',
            'p_10',
            'muscle_growth_previous_therapies_medications',
            'muscle_growth_previous_therapies_medications_description',
          ],
        },
        page11: {
          elements: [
            'h4_10',
            'p_11',
            'muscle_growth_taking_med_affect_muscle_growth',
            'muscle_growth_taking_med_affect_muscle_growth_description',
          ],
        },
        page12: {
          elements: [
            'h4_11',
            'p_12',
            'muscle_growth_have_sensitiveness_allergies',
            'muscle_growth_have_sensitiveness_allergies_description',
          ],
        },
        page13: {
          elements: [
            'h4_12',
            'p_13',
            'muscle_growth_diagnosed_conditions_affect_harmones',
            'muscle_growth_diagnosed_conditions_affect_harmones_description',
          ],
        },
        page14: {
          elements: [
            'h4_13',
            'p_14',
            'muscle_growth_have_conditions_affect_muscle_recovery',
            'muscle_growth_have_conditions_affect_muscle_recovery_other_description',
          ],
        },
        page15: {
          elements: [
            'h4_14',
            'p_15',
            'muscle_growth_experienced_musculoskeletal_injuries',
            'muscle_growth_experienced_musculoskeletal_injuries_description',
          ],
        },
        page16: {
          elements: [
            'h4_15',
            'p_16',
            'muscle_growth_consume_cafine_alcohol',
            'muscle_growth_consume_cafine_alcohol_reason',
          ],
        },
        page17: {
          elements: [
            'h4_16',
            'p_17',
            'muscle_growth_personal_family_history_endocrine',
            'muscle_growth_personal_family_history_endocrine_reason',
          ],
        },
        page18: {
          elements: [
            'h4_17',
            'p_18',
            'muscle_growth_currently_experiency_chronic_fatigue',
            'muscle_growth_currently_experiency_chronic_fatigue_reason',
          ],
        },
        page19: {
          elements: [
            'h4_18',
            'p_19',
            'muscle_growth_are_you_pregnant',
          ],
        },
      },
      schema: {
        h4_3: {
          type: 'static',
          tag: 'h4',
          content: 'Muscle Growth',
        },
        p: {
          type: 'static',
          tag: 'p',
          content: 'What is your current weight and height?\n',
        },
        muscle_growth_weight: {
          type: 'text',
          label: 'Weight (lbs or kg)',
          inputType: 'number',
          rules: [
            'required',
          ],
        },
        muscle_growth_height: {
          type: 'text',
          label: 'Height (feet/inches or cm)',
          inputType: 'number',
          rules: [
            'required',
          ],
        },
        h4_5: {
          type: 'static',
          tag: 'h4',
          content: 'Muscle Growth',
        },
        p_2: {
          type: 'static',
          tag: 'p',
          content: 'How often do you engage in resistance or weight training?\n',
        },
        muscle_growth_resistance_training: {
          type: 'radiogroup',
          view: 'blocks',
          items: [
            {
              value: 'Never',
              label: 'Never',
              description: '',
            },
            {
              value: '1-2 times a week',
              label: '1-2 times a week',
              description: '',
            },
            {
              value: '3-4 times a week',
              label: '3-4 times a week',
              description: null,
            },
            {
              value: '5+ times a week',
              label: '5+ times a week',
              description: null,
            },
          ],
          rules: [
            'required',
          ],
        },
        h4_4: {
          type: 'static',
          tag: 'h4',
          content: 'Muscle Growth',
        },
        p_1: {
          type: 'static',
          tag: 'p',
          content: 'What are your primary goals for muscle growth?',
        },
        muscle_growth_primary_goals: {
          type: 'checkboxgroup',
          view: 'blocks',
          items: [
            {
              value: 'Gain muscle mass',
              label: 'Gain muscle mass',
              description: '',
            },
            {
              value: 'Increase strength',
              label: 'Increase strength',
              description: '',
            },
            {
              value: 'Improve recovery time',
              label: 'Improve recovery time',
              description: null,
            },
            {
              value: 'Reduce body fat',
              label: 'Reduce body fat',
              description: null,
            },
            {
              value: 'Other',
              label: 'Other',
              description: null,
            },
          ],
          label: 'Check all that apply:',
          rules: [
            'required',
          ],
        },
        muscle_growth_primary_goals_other: {
          type: 'text',
          label: 'Describe if any',
          rules: [
            'required',
          ],
          conditions: [
            [
              'muscle_growth_primary_goals',
              'in',
              [
                'Other',
              ],
            ],
          ],
        },
        h4: {
          type: 'static',
          tag: 'h4',
          content: 'Muscle Growth',
        },
        p_3: {
          type: 'static',
          tag: 'p',
          content: 'What type of strength training exercises do you regularly perform?',
        },
        muscle_growth_training_exercise_regular_platform: {
          type: 'text',
          rules: [
            'required',
          ],
        },
        h2: {
          type: 'static',
          tag: 'h4',
          content: 'Muscle Growth',
        },
        p_4: {
          type: 'static',
          tag: 'p',
          content: 'How long are your typical training sessions?\n',
        },
        muscle_growth_training_sessions: {
          type: 'text',
          label: 'Minutes per session:\n',
          rules: [
            'required',
          ],
        },
        h4_1: {
          type: 'static',
          tag: 'h4',
          content: 'Muscle Growth',
        },
        p_5: {
          type: 'static',
          tag: 'p',
          content: 'Do you experience muscle soreness or fatigue following workouts?',
        },
        muscle_growth_muscle_soreness_fatigue: {
          type: 'radiogroup',
          view: 'blocks',
          items: [
            {
              value: 'Rarely',
              label: 'Rarely',
              description: '',
            },
            {
              value: 'Sometimes',
              label: 'Sometimes',
              description: '',
            },
            {
              value: 'Often',
              label: 'Often',
              description: null,
            },
            {
              value: 'Always',
              label: 'Always',
              description: null,
            },
          ],
          rules: [
            'required',
          ],
        },
        h4_2: {
          type: 'static',
          tag: 'h4',
          content: 'Muscle Growth',
        },
        p_6: {
          type: 'static',
          tag: 'p',
          content: 'How would you describe your current diet?',
        },
        muscle_growth_current_diet: {
          type: 'radiogroup',
          view: 'blocks',
          items: [
            {
              value: 'Balanced',
              label: 'Balanced',
              description: '',
            },
            {
              value: 'High-protein',
              label: 'High-protein',
              description: '',
            },
            {
              value: 'Low-carb',
              label: 'Low-carb',
              description: null,
            },
            {
              value: 'Keto',
              label: 'Keto',
              description: null,
            },
            {
              value: 'Vegetarian',
              label: 'Vegetarian',
              description: null,
            },
            {
              value: 'Other',
              label: 'Other',
              description: null,
            },
          ],
          rules: [
            'required',
          ],
        },
        muscle_growth_current_diet_others: {
          type: 'text',
          label: 'Describe other diet',
          conditions: [
            [
              'muscle_growth_current_diet',
              'in',
              [
                'Other',
              ],
            ],
          ],
          rules: [
            'required',
          ],
        },
        h4_6: {
          type: 'static',
          tag: 'h4',
          content: 'Muscle Growth',
        },
        p_7: {
          type: 'static',
          tag: 'p',
          content: 'How much protein do you consume daily?',
        },
        muscle_growth_protine_consume_daily: {
          type: 'radiogroup',
          view: 'blocks',
          items: [
            {
              value: 'Yes',
              label: 'Yes',
              description: '',
            },
            {
              value: 'No',
              label: 'No',
              description: '',
            },
          ],
          rules: [
            'required',
          ],
        },
        muscle_growth_protine_consume_daily_grams_per_day: {
          type: 'text',
          label: 'Approximate grams per day:',
          rules: [
            'required',
          ],
          conditions: [
            [
              'muscle_growth_protine_consume_daily',
              'in',
              [
                'Yes',
              ],
            ],
          ],
        },
        h4_7: {
          type: 'static',
          tag: 'h4',
          content: 'Muscle Growth',
        },
        p_8: {
          type: 'static',
          tag: 'p',
          content: 'Do you follow any specific dietary plans or restrictions?',
        },
        muscle_growth_specific_diet_paln_restrictions: {
          type: 'radiogroup',
          view: 'blocks',
          items: [
            {
              value: 'Yes',
              label: 'Yes',
              description: '',
            },
            {
              value: 'No',
              label: 'No',
              description: '',
            },
          ],
          rules: [
            'required',
          ],
        },
        muscle_growth_specific_diet_paln_restrictions_description: {
          type: 'text',
          label: 'If yes, please describe',
          rules: [
            'required',
          ],
          conditions: [
            [
              'muscle_growth_specific_diet_paln_restrictions',
              'in',
              [
                'Yes',
              ],
            ],
          ],
        },
        h4_8: {
          type: 'static',
          tag: 'h4',
          content: 'Muscle Growth',
        },
        p_9: {
          type: 'static',
          tag: 'p',
          content: 'Are you taking any dietary supplements to support muscle growth?',
        },
        muscle_growth_taking_diect_muscle_growth: {
          type: 'radiogroup',
          view: 'blocks',
          items: [
            {
              value: 'Yes',
              label: 'Yes',
              description: '',
            },
            {
              value: 'No',
              label: 'No',
              description: '',
            },
          ],
          rules: [
            'required',
          ],
        },
        muscle_growth_taking_diect_muscle_growth_description: {
          type: 'text',
          label: 'If yes, please list',
          rules: [
            'required',
          ],
          conditions: [
            [
              'muscle_growth_taking_diect_muscle_growth',
              'in',
              [
                'Yes',
              ],
            ],
          ],
        },
        h4_9: {
          type: 'static',
          tag: 'h4',
          content: 'Muscle Growth',
        },
        p_10: {
          type: 'static',
          tag: 'p',
          content: 'Have you previously used any therapies, medications, or supplements to enhance muscle growth?',
        },
        muscle_growth_previous_therapies_medications: {
          type: 'radiogroup',
          view: 'blocks',
          items: [
            {
              value: 'Yes',
              label: 'Yes',
              description: '',
            },
            {
              value: 'No',
              label: 'No',
              description: '',
            },
          ],
          rules: [
            'required',
          ],
        },
        muscle_growth_previous_therapies_medications_description: {
          type: 'text',
          label: 'If yes, please describe',
          rules: [
            'required',
          ],
          conditions: [
            [
              'muscle_growth_previous_therapies_medications',
              'in',
              [
                'Yes',
              ],
            ],
          ],
        },
        h4_10: {
          type: 'static',
          tag: 'h4',
          content: 'Muscle Growth',
        },
        p_11: {
          type: 'static',
          tag: 'p',
          content: 'Are you taking any medications that might affect muscle growth or recovery (e.g., steroids, anti-inflammatories, testosterone)?',
        },
        muscle_growth_taking_med_affect_muscle_growth: {
          type: 'radiogroup',
          view: 'blocks',
          items: [
            {
              value: 'Yes',
              label: 'Yes',
              description: '',
            },
            {
              value: 'No',
              label: 'No',
              description: '',
            },
          ],
          rules: [
            'required',
          ],
        },
        muscle_growth_taking_med_affect_muscle_growth_description: {
          type: 'text',
          label: 'If yes, please describe',
          rules: [
            'required',
          ],
          conditions: [
            [
              'muscle_growth_taking_med_affect_muscle_growth',
              'in',
              [
                'Yes',
              ],
            ],
          ],
        },
        h4_11: {
          type: 'static',
          tag: 'h4',
          content: 'Muscle Growth',
        },
        p_12: {
          type: 'static',
          tag: 'p',
          content: 'Do you have any known sensitivities or allergies to peptides or other medications?',
        },
        muscle_growth_have_sensitiveness_allergies: {
          type: 'radiogroup',
          view: 'blocks',
          items: [
            {
              value: 'Yes',
              label: 'Yes',
              description: '',
            },
            {
              value: 'No',
              label: 'No',
              description: '',
            },
          ],
          rules: [
            'required',
          ],
        },
        muscle_growth_have_sensitiveness_allergies_description: {
          type: 'text',
          label: 'If yes, please list',
          rules: [
            'required',
          ],
          conditions: [
            [
              'muscle_growth_have_sensitiveness_allergies',
              'in',
              [
                'Yes',
              ],
            ],
          ],
        },
        h4_12: {
          type: 'static',
          tag: 'h4',
          content: 'Muscle Growth',
        },
        p_13: {
          type: 'static',
          tag: 'p',
          content: 'Have you been diagnosed with conditions affecting growth hormone levels or muscle metabolism (e.g., growth hormone deficiency, muscular dystrophy)?',
        },
        muscle_growth_diagnosed_conditions_affect_harmones: {
          type: 'radiogroup',
          view: 'blocks',
          items: [
            {
              value: 'Yes',
              label: 'Yes',
              description: '',
            },
            {
              value: 'No',
              label: 'No',
              description: '',
            },
          ],
          rules: [
            'required',
          ],
        },
        muscle_growth_diagnosed_conditions_affect_harmones_description: {
          type: 'text',
          label: 'If yes, please describe',
          rules: [
            'required',
          ],
          conditions: [
            [
              'muscle_growth_diagnosed_conditions_affect_harmones',
              'in',
              [
                'Yes',
              ],
            ],
          ],
        },
        h4_13: {
          type: 'static',
          tag: 'h4',
          content: 'Muscle Growth',
        },
        p_14: {
          type: 'static',
          tag: 'p',
          content: 'Do you have any of the following conditions that could affect muscle growth or recovery?',
        },
        muscle_growth_have_conditions_affect_muscle_recovery: {
          type: 'radiogroup',
          view: 'blocks',
          items: [
            {
              value: 'Diabetes',
              label: 'Diabetes',
              description: '',
            },
            {
              value: 'Hypothyroidism',
              label: 'Hypothyroidism',
              description: '',
            },
            {
              value: 'Kidney or liver disease',
              label: 'Kidney or liver disease',
              description: null,
            },
            {
              value: 'Autoimmune disorders',
              label: 'Autoimmune disorders',
              description: null,
            },
            {
              value: 'Chronic fatigue or fibromyalgia',
              label: 'Chronic fatigue or fibromyalgia',
              description: null,
            },
            {
              value: 'Other',
              label: 'Other',
              description: null,
            },
          ],
        },
        muscle_growth_have_conditions_affect_muscle_recovery_other_description: {
          type: 'text',
          rules: [
            'required',
          ],
          conditions: [
            [
              'muscle_growth_have_conditions_affect_muscle_recovery',
              'in',
              [
                'Other',
              ],
            ],
          ],
          label: 'If yes, please specify.',
        },
        h4_14: {
          type: 'static',
          tag: 'h4',
          content: 'Muscle Growth',
        },
        p_15: {
          type: 'static',
          tag: 'p',
          content: 'Have you experienced any musculoskeletal injuries (e.g., tendonitis, joint issues) in the past 12 months?',
        },
        muscle_growth_experienced_musculoskeletal_injuries: {
          type: 'radiogroup',
          view: 'blocks',
          items: [
            {
              value: 'Yes',
              label: 'Yes',
              description: '',
            },
            {
              value: 'No',
              label: 'No',
              description: '',
            },
          ],
        },
        muscle_growth_experienced_musculoskeletal_injuries_description: {
          type: 'text',
          label: 'If yes, please describe:',
          rules: [
            'required',
          ],
          conditions: [
            [
              'muscle_growth_experienced_musculoskeletal_injuries',
              'in',
              [
                'Yes',
              ],
            ],
          ],
        },
        h4_15: {
          type: 'static',
          tag: 'h4',
          content: 'Muscle Growth',
        },
        p_16: {
          type: 'static',
          tag: 'p',
          content: 'Do you consume caffeine, nicotine, or alcohol?',
        },
        muscle_growth_consume_cafine_alcohol: {
          type: 'radiogroup',
          view: 'blocks',
          items: [
            {
              value: 'Yes',
              label: 'Yes',
              description: '',
            },
            {
              value: 'No',
              label: 'No',
              description: '',
            },
          ],
          rules: [
            'required',
          ],
        },
        muscle_growth_consume_cafine_alcohol_reason: {
          type: 'text',
          label: 'If yes, please describe',
          rules: [
            'required',
          ],
          conditions: [
            [
              'muscle_growth_consume_cafine_alcohol',
              'in',
              [
                'Yes',
              ],
            ],
          ],
        },
        h4_16: {
          type: 'static',
          tag: 'h4',
          content: 'Muscle Growth',
        },
        p_17: {
          type: 'static',
          tag: 'p',
          content: 'Do you have a personal or family history of any endocrine disorders (e.g., pituitary dysfunction, thyroid disorders)?',
        },
        muscle_growth_personal_family_history_endocrine: {
          type: 'radiogroup',
          view: 'blocks',
          items: [
            {
              value: 'Yes',
              label: 'Yes',
              description: '',
            },
            {
              value: 'No',
              label: 'No',
              description: '',
            },
          ],
          rules: [
            'required',
          ],
        },
        muscle_growth_personal_family_history_endocrine_reason: {
          type: 'text',
          label: 'If yes, Please describe',
          rules: [
            'required',
          ],
          conditions: [
            [
              'muscle_growth_personal_family_history_endocrine',
              'in',
              [
                'Yes',
              ],
            ],
          ],
        },
        h4_17: {
          type: 'static',
          tag: 'h4',
          content: 'Muscle Growth',
        },
        p_18: {
          type: 'static',
          tag: 'p',
          content: 'Are you currently experiencing any chronic fatigue or muscle weakness?',
        },
        muscle_growth_currently_experiency_chronic_fatigue: {
          type: 'radiogroup',
          view: 'blocks',
          items: [
            {
              value: 'Yes',
              label: 'Yes',
              description: '',
            },
            {
              value: 'No',
              label: 'No',
              description: '',
            },
          ],
          rules: [
            'required',
          ],
        },
        muscle_growth_currently_experiency_chronic_fatigue_reason: {
          type: 'text',
          label: 'If yes, Please describe',
          rules: [
            'required',
          ],
          conditions: [
            [
              'muscle_growth_currently_experiency_chronic_fatigue',
              'in',
              [
                'Yes',
              ],
            ],
          ],
        },
        h4_18: {
          type: 'static',
          tag: 'h4',
          content: 'Muscle Growth',
        },
        p_19: {
          type: 'static',
          tag: 'p',
          content: 'Are you Pregnant?(Female Specific)',
        },
        muscle_growth_are_you_pregnant: {
          type: 'radiogroup',
          view: 'blocks',
          items: [
            {
              value: 'Yes',
              label: 'Yes',
              description: '',
            },
            {
              value: 'No',
              label: 'No',
              description: '',
            },
          ],
        },
      },
}