export default {
  steps: {
    page0: {
      elements: [
        'h3',
        'h4',
        'primary_goals',
      ],
      buttons: {
        previous: false,
      },
    },
    page1: {
      elements: [
        'h2_1',
        'h4_1',
        'current_libido',
      ],
    },
    page2: {
      elements: [
        'h2',
        'h4_2',
        'recent_changes',
      ],
    },
    page3: {
      elements: [
        'h4_3',
        'hormonal_imbalances',
      ],
    },
    page4: {
      elements: [
        'h4_4',
        'hormone_replacement_therapy',
      ],
    },
    page5: {
      elements: [
        'h4_5',
        'medications_for_sexual_health',
      ],
    },
    page6: {
      elements: [
        'h4_6',
        'medications_for_other_conditions',
      ],
    },
    page7: {
      elements: [
        'h4_7',
        'erectile_difficulty',
      ],
    },
    page8: {
      elements: [
        'h4_8',
        'premature_ejaculation',
      ],
    },
    page9: {
      elements: [
        'h4_9',
        'vaginal_discomfort',
      ],
    },
    page10: {
      elements: [
        'h4_10',
        'stress_impact',
      ],
    },
    page11: {
      elements: [
        'h4_11',
        'cardiovascular_history',
      ],
    },
    page12: {
      elements: [
        'h4_12',
        'growth_hormone_conditions',
      ],
    },
    page13: {
      elements: [
        'h4_13',
        'allergies',
      ],
    },
    page14: {
      elements: [
        'h4_14',
        'pregnant',
      ],
    },
  },
  schema: {
    h3: {
      type: 'static',
      tag: 'h2',
      content: 'Sexual Wellness',
      align: 'left',
    },
    h4: {
      type: 'static',
      tag: 'h4',
      content: 'What are your primary goals for improving sexual wellness? (Check all that apply)',
    },
    primary_goals: {
      type: 'checkbox',
      rules: [
        'required',
      ],
      view: 'blocks',
      items: [
        {
          value: 'Increase libido (sexual desire)',
          label: 'Increase libido (sexual desire)',
        },
        {
          value: 'Improve sexual performance or stamina',
          label: 'Improve sexual performance or stamina',
        },
        {
          value: 'Improve erectile function (for males)',
          label: 'Improve erectile function (for males)',
        },
        {
          value: 'Enhance sexual satisfaction',
          label: 'Enhance sexual satisfaction',
        },
        {
          value: 'Address hormonal imbalances affecting sexual function',
          label: 'Address hormonal imbalances affecting sexual function',
        },
        {
          value: 'Other',
          label: 'Other',
        },
      ],
    },
    h2_1: {
      type: 'static',
      tag: 'h2',
      content: 'Sexual Desire',
    },
    h4_1: {
      type: 'static',
      tag: 'h4',
      content: 'How would you describe your current sexual desire (libido)?',
    },
    current_libido: {
      type: 'radiogroup',
      rules: [
        'required',
      ],
      view: 'blocks',
      items: [
        {
          value: 'Low',
          label: 'Low',
        },
        {
          value: 'Moderate',
          label: 'Moderate',
        },
        {
          value: 'High',
          label: 'High',
        },
      ],
    },
    h2: {
      type: 'static',
      tag: 'h2',
      content: 'Recent Changes',
    },
    h4_2: {
      type: 'static',
      tag: 'h4',
      content: 'Have you noticed any recent changes in your sexual function or desire?',
    },
    recent_changes: {
      type: 'radiogroup',
      rules: [
        'required',
      ],
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
    },
    h4_3: {
      type: 'static',
      tag: 'h4',
      content: 'Have you been diagnosed with any hormonal imbalances that affect sexual health (e.g., low testosterone, estrogen dominance, growth hormone deficiency)?',
    },
    hormonal_imbalances: {
      type: 'radiogroup',
      rules: [
        'required',
      ],
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
    },
    h4_4: {
      type: 'static',
      tag: 'h4',
      content: 'Are you currently undergoing hormone replacement therapy (e.g., testosterone, estrogen, progesterone)?',
    },
    hormone_replacement_therapy: {
      type: 'radiogroup',
      rules: [
        'required',
      ],
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
    },
    h4_5: {
      type: 'static',
      tag: 'h4',
      content: 'Are you currently taking any medications or supplements for sexual health (e.g., Viagra/Sildenafil, Cialis/Tadalafil, testosterone therapy)?',
    },
    medications_for_sexual_health: {
      type: 'radiogroup',
      rules: [
        'required',
      ],
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
    },
    h4_6: {
      type: 'static',
      tag: 'h4',
      content: 'Are you taking any medications for other conditions that could affect sexual function (e.g., antidepressants, blood pressure medications)?',
    },
    medications_for_other_conditions: {
      type: 'radiogroup',
      rules: [
        'required',
      ],
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
    },
    h4_7: {
      type: 'static',
      tag: 'h4',
      content: 'Do you experience difficulty achieving or maintaining an erection? (Male Specific)',
    },
    erectile_difficulty: {
      type: 'radiogroup',
      rules: [
        'required',
      ],
      view: 'blocks',
      items: [
        {
          value: 'Never',
          label: 'Never',
        },
        {
          value: 'Rarely',
          label: 'Rarely',
        },
        {
          value: 'Sometimes',
          label: 'Sometimes',
        },
        {
          value: 'Often',
          label: 'Often',
        },
        {
          value: 'Always',
          label: 'Always',
        },
      ],
    },
    h4_8: {
      type: 'static',
      tag: 'h4',
      content: 'Do you experience premature ejaculation or difficulty with ejaculation? (Male Specific)',
    },
    premature_ejaculation: {
      type: 'radiogroup',
      rules: [
        'required',
      ],
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
    },
    h4_9: {
      type: 'static',
      tag: 'h4',
      content: 'Do you experience a lack of sexual desire (libido)? (Female Specific)',
    },
    lack_of_libido: {
      type: 'radiogroup',
      rules: [
        'required',
      ],
      view: 'blocks',
      items: [
        {
          value: 'Never',
          label: 'Never',
        },
        {
          value: 'Rarely',
          label: 'Rarely',
        },
        {
          value: 'Sometimes',
          label: 'Sometimes',
        },
        {
          value: 'Often',
          label: 'Often',
        },
        {
          value: 'Always',
          label: 'Always',
        },
      ],
    },
    h4_10: {
      type: 'static',
      tag: 'h4',
      content: 'Do you experience vaginal dryness or discomfort during sexual activity? (Female Specific)',
    },
    vaginal_discomfort: {
      type: 'radiogroup',
      rules: [
        'required',
      ],
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
    },
    h4_11: {
      type: 'static',
      tag: 'h4',
      content: 'Do you believe that stress, lifestyle, or relationship issues are impacting your sexual health?',
    },
    stress_impact: {
      type: 'radiogroup',
      rules: [
        'required',
      ],
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
    },
    h4_12: {
      type: 'static',
      tag: 'h4',
      content: 'Do you have a history of high blood pressure or cardiovascular issues?',
    },
    cardiovascular_history: {
      type: 'radiogroup',
      rules: [
        'required',
      ],
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
    },
    h4_13: {
      type: 'static',
      tag: 'h4',
      content: 'Do you have any history of growth hormone-related conditions or endocrine disorders?',
    },
    growth_hormone_conditions: {
      type: 'radiogroup',
      rules: [
        'required',
      ],
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
    },
    h4_14: {
      type: 'static',
      tag: 'h4',
      content: 'Do you have any allergies or sensitivities to nasal sprays or hormone therapies?',
    },
    allergies: {
      type: 'radiogroup',
      rules: [
        'required',
      ],
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
    },
    h4_15: {
      type: 'static',
      tag: 'h4',
      content: 'Are you Pregnant? (Female Specific)',
    },
    pregnant: {
      type: 'radiogroup',
      rules: [
        'required',
      ],
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
    },
  },
};