export default {
    steps: {
        page0: {
          elements: [
            'h4_5',
            'weight_lb',
            'height_feet',
            'height_inches',
          ],
        },
        page1: {
          elements: [
            'h4',
            'p_4',
            'expecting',
          ],
        },
        page2: {
          label: '',
          elements: [
            'h4_1',
            'p_5',
            'evaluate_weight_loss',
          ],
        },
        page3: {
          label: '',
          elements: [
            'h4_2',
            'weight_management',
          ],
        },
        page4: {
          label: '',
          elements: [
            'h4_3',
            'caloric_intake',
          ],
        },
        page5: {
          label: '',
          elements: [
            'h4_4',
            'physical_activity',
          ],
        },
        page6: {
          label: '',
          elements: [
            'h4_6',
            'weightloss_goal',
          ],
        },
        page7: {
          label: '',
          elements: [
            'h4_7',
            'p_6',
            'medical_evaluation',
          ],
        },
        page8: {
          label: '',
          elements: [
            'h4_8',
            'lab_tests_completed',
          ],
        },
        page9: {
          label: '',
          elements: [
            'h4_9',
            'p_7',
            'comorbidities',
          ],
        },
        page10: {
          label: '',
          elements: [
            'h4_10',
            'chronic_pancreatitis',
            'smoke_alcohol',
          ],
        },
        page11: {
          label: '',
          elements: [
            'h4_11',
            'family_history_thyroid_cancer',
          ],
        },
        page12: {
          label: '',
          elements: [
            'h4_12',
            'kindney_history',
          ],
        },
      },
      schema: {
        h4_5: {
          type: 'static',
          tag: 'h4',
          content: "Let's get your numbers",
        },
        weight_lb: {
          type: 'text',
          label: 'Weight (lb) (Optional)',
          
        },
        height_feet: {
          type: 'text',
          label: 'Height (feet) (Optional)',
          
          
          columns: {
            container: 6,
          },
        },
        height_inches: {
          type: 'text',
          label: 'Height (inches) (Optional)',
          
          columns: {
            container: 6,
          },
        },
        h4: {
          type: 'static',
          tag: 'h4',
          content: 'Are you pregnant or expecting to be?',
        },
        p_4: {
          type: 'static',
          tag: 'p',
          content: 'Medications on your treatment plan might not be recommended for pregnant women.',
        },
        expecting: {
          type: 'radiogroup',
          items: [
            {
              value: 'pregnant',
              label: 'Pregnant',
            },
            {
              value: 'breastfeeding ',
              label: 'Breastfeeding or lactating',
            },
            {
              value: 'expecting_pregnant',
              label: 'Expecting to be pregnant',
            },
            {
              value: 'not_applicable',
              label: 'No or Not Applicable',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h4_1: {
          type: 'static',
          tag: 'h4',
          content: 'Are you here to be evaluated for weight loss?',
        },
        p_5: {
          type: 'static',
          tag: 'p',
          content: 'All responses will be evaluated by a board-certified physician.  Medication may be prescribed for appropriate candidates.',
        },
        evaluate_weight_loss: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h4_2: {
          type: 'static',
          tag: 'h4',
          content: 'Have you ever attempted to lose weight in a weight management program?\nExamples may include caloric restriction through diet, exercise, or behavior modification.\n',
        },
        weight_management: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No, this would be my first time',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h4_3: {
          type: 'static',
          tag: 'h4',
          content: 'Are you willing to reduce your caloric intake alongside medication?',
        },
        caloric_intake: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h4_4: {
          type: 'static',
          tag: 'h4',
          content: 'Are you willing to increase your physical activity alongside medication?',
        },
        physical_activity: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h4_6: {
          type: 'static',
          tag: 'h4',
          content: 'What is your goal weight?',
        },
        weightloss_goal: {
          type: 'text',
          rules: [
            'validateTextBox',
          ],
          fieldName: ' ',
        },
        h4_7: {
          type: 'static',
          tag: 'h4',
          content: 'When was the last time you had an in person medical evaluation?\n',
        },
        p_6: {
          type: 'static',
          tag: 'p',
          content: 'We want to make sure you have recently been evaluated in person by a healthcare provider.',
        },
        medical_evaluation: {
          type: 'radiogroup',
          items: [
            {
              value: 'less_then_a_year_ago',
              label: 'Less than a year ago',
            },
            {
              value: '1_to_2_years',
              label: '1 to 2 years',
            },
            {
              value: 'more_than_2_years_ago',
              label: 'More than 2 years ago',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h4_8: {
          type: 'static',
          tag: 'h4',
          content: 'Have you had any lab tests completed within the last 12 months that you would like to share with your doctor?',
        },
        lab_tests_completed: {
          type: 'radiogroup',
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No, not at this time',
            },
          ],
        },
        h4_9: {
          type: 'static',
          tag: 'h4',
          content: 'Do you have any of the following?',
        },
        p_7: {
          type: 'static',
          tag: 'p',
          content: "These are considered 'comorbidities' by the American Board of Obesity Medicine.  While you may not need to have one of these for treatment, your doctor would like to know.",
        },
        comorbidities: {
          type: 'checkboxgroup',
          items: [
            {
              value: 'high_cholesterol',
              label: 'High cholesterol',
            },
            {
              value: 'fatty_liver_disease',
              label: 'Fatty Liver Disease',
            },
            {
              value: 'high_blood_pressure',
              label: 'High Blood Pressure',
            },
            {
              value: 'pre_diabetes',
              label: 'Pre-diabetes/ Type 2 Diabetes / Hba1c above 5.7',
            },
            {
              value: 'polycystic_ovarian',
              label: 'Polycystic Ovarian Syndrome (PCOS)',
            },
            {
              value: 'none_of_the_above',
              label: 'None of the above',
            },
          ],
          rules: [
            'required',
          ],
          fieldName: ' ',
        },
        h4_10: {
          type: 'static',
          tag: 'h4',
          content: 'Do you have any of the following?',
        },
        chronic_pancreatitis: {
          type: 'checkboxgroup',
          items: [
            {
              value: 'chronic_pancreatitis_glp1',
              label: 'Chronic pancreatitis or previous episode of pancreatitis due to GLP-1',
            },
            {
              value: 'history_of_type1_diabetes',
              label: 'History of type 1 diabetes',
            },
            {
              value: 'history_of_severe_gl',
              label: 'History of severe GI disease (Ex: chrons disease, or ulcerative colits)',
            },
            {
              value: 'history_of_diabetic_retinopathy',
              label: 'History of diabetic retinopathy',
            },
            {
              value: 'history_of_medullary_thyroid_cancer',
              label: 'History of medullary thyroid cancer',
            },
            {
              value: 'previous_bariatric_surgery_or_other_gl_surgery',
              label: 'Previous bariatric surgery or other GI surgery',
            },
            {
              value: 'history_of_men_2',
              label: 'History of MEN-2 (multiple endocrine neoplasia syndrome type 2)',
            },
            {
              value: 'history_of_gallbladder_disease',
              label: 'History of gallbladder disease (not including gallbladder removal/cholecystectomy)',
            },
            {
              value: 'none_of_the_above',
              label: 'NONE of the above',
            },
          ],
          rules: [
            'required',
          ],
          fieldName: ' ',
        },
        smoke_alcohol: {
          type: 'radiogroup',
        },
        h4_11: {
          type: 'static',
          tag: 'h4',
          content: 'Does anyone in your family have a history of...',
        },
        family_history_thyroid_cancer: {
          type: 'checkboxgroup',
          items: [
            {
              value: 'men2',
              label: 'MEN2 (multiple endocrine neoplasia syndrome type 2)',
            },
            {
              value: 'medullary_thyroid_cancer',
              label: 'Medullary thyroid cancer',
            },
            {
              value: 'none_of_above_them',
              label: 'NONE of the above',
            },
          ],
          rules: [
            'required',
          ],
          fieldName: ' ',
        },
        h4_12: {
          type: 'static',
          tag: 'h4',
          content: 'Do you have any of the following?',
        },
        kindney_history: {
          type: 'checkboxgroup',
          items: [
            {
              value: 'history_of_kidney_failure',
              label: 'History of kidney failure',
            },
            {
              value: 'history_of_chronic_renal_failure',
              label: 'History of chronic renal failure',
            },
            {
              value: 'appointment_or_consultation_with ',
              label: 'Had an appointment or consultation with a kidney specialist in the past 12 months',
            },
            {
              value: 'history_of_solitary_kidney_or_kidney_transplant',
              label: 'History of solitary kidney, or kidney transplant',
            },
            {
              value: 'none_of_teh_above',
              label: 'None of the above ',
            },
          ],
          rules: [
            'required',
          ],
          fieldName: ' ',
        },
      },
}
